Bug 1481030 - Missing dependencies prevent you from starting the childsplay application
Missing dependencies prevent you from starting the childsplay application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: childsplay (Show other bugs)
26
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-13 12:39 EDT by apbmail
Modified: 2017-08-28 18:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: childsplay-1.6-22.fc26 childsplay-1.6-22.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 12:18:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description apbmail 2017-08-13 12:39:32 EDT
Description of problem:
I installed childsplay on a brand new Fedora 26 Workstation 32bit and some dependencies appear to be missing (pango).

Version-Release number of selected component (if applicable):


How reproducible:
Very reproducible.

Steps to Reproduce:
1. Install childsplay
2. Start childsplay from the command line
3. Get the following error: "ImportError: No module named pango"

Actual results:
childsplay will not start.

Expected results:
childsplay should start.

Additional info:
Complete error message:
Traceback (most recent call last):
  File "/usr/bin/childsplay", line 29, in <module>
    import childsplay_sp.utils as utils
  File "/usr/lib/python2.7/site-packages/childsplay_sp/utils.py", line 29, in <module>
    import pangofont
  File "/usr/lib/python2.7/site-packages/childsplay_sp/pangofont.py", line 79, in <module>
    import pango
ImportError: No module named pango
Comment 1 apbmail 2017-08-13 13:01:10 EDT
The package that is missing from the dependencies is pygtk2.
Comment 2 Fedora Update System 2017-08-15 16:51:00 EDT
childsplay-1.6-22.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-77586b7cb7
Comment 3 Fedora Update System 2017-08-18 17:52:59 EDT
childsplay-1.6-22.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-263a1ae62e
Comment 4 Fedora Update System 2017-08-19 14:52:03 EDT
childsplay-1.6-22.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-77586b7cb7
Comment 5 Fedora Update System 2017-08-28 12:18:59 EDT
childsplay-1.6-22.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2017-08-28 18:21:25 EDT
childsplay-1.6-22.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.